4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.BuildDocs

Main distutils extensions for generating documentation
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: BuildDocs, ExternalBuildDocs |  |  |  | Fields: PREAMBLE

## Classes

class BuildDocs(distutils.cmd.Command)

### Methods

finalize_options(self)
get_outputs(self)
get_source_files(self)
initialize_options(self)
run(self)

### Methods inherited from class distutils.cmd.Command

__getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

### Fields

boolean_options = ['force']
command_name = 'build_docs'
description = 'build documentation files'
user_options = [('build-dir=', 'd', 'directory to "build" (generate) to'), ('force', 'f', 'forcibly build everything (ignore file timestamps)')]

### Fields

class ExternalBuildDocs(distutils.cmd.Command)

### Methods

__init__(self, dist, modules, scripts, docs, build_lib, build_dir, xml_dir, html_dir, text_dir, force, verbose, dry_run)
add_index_info(self, index, category, name, (xml, html, text))
build_html_index(self, index)
build_xml_index(self, index)
doc_extensions(self, extensions, index)
Create XML documentation for XPath/XSLT extensions
doc_modules(self, index, top_level)
doc_scripts(self, index)
document(self, category, name, sources, object, formatter)
get_outputs(self)
locate(self, path, name=None)
render_doc(self, doc)
render_one(self, outfile, source, stylesheets, params)
run(self)

### Methods inherited from class distutils.cmd.Command

__getattr__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, finalize_options, get_command_name, get_finalized_command, get_sub_commands, initialize_options, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

### Fields

command_name = 'build_docs'

### Fields

PREAMBLE = "\n<p>Copyright 2001-2005 Fourthought, Inc., USA. ...te/'>Uche Ogbuji's 4Suite page</a>.</a></p>\n<hr>\n"